<?php

namespace App\Exception;

class VaultException extends \RuntimeException
{
    public static function httpError(int $statusCode, string $body): self
    {
        return new self('Vault HTTP '.$statusCode.': '.$body);
    }
}
